Hi, I need help!!, well I have an iPhone 1.1.2OTB unlocked with Geohotz Gunlock currently 1.1.2 and wuld like to upgrade to 1.1.4 using Ziphone 2.5c, I have heard rumors that if you use Geohotz Gunlock then ZiPhone my iPhone will be bricked because Geo Reflashed the wrong BL and even if I do a Refurbish with ZiPhone it wont reflash the right BL and my iPhone will be bricked due to the fact that 4.6_Geomod BL cannot be downgraded to 3.9, can some one confirm this and tell me if its true or not !!!??

Any Help Much Appreciated

Phil